Bug 219872 - Review Request: curlftpfs - user-space FTP filesystem using libcurl and FUSE
Review Request: curlftpfs - user-space FTP filesystem using libcurl and FUSE
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-15 15:17 EST by David Anderson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-08 09:17:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Anderson 2006-12-15 15:17:43 EST
This is my first package - I am seeking a sponsor.

Spec URL: http://david.dw-perspective.org.uk/tmp/curlftpfs.spec
SRPM URL: http://david.dw-perspective.org.uk/tmp/curlftpfs-0.9-1.fc5.src.rpm

Description: CurlFtpFS is a filesystem for accessing FTP hosts based on FUSE and libcurl. It features SSL support, connecting through tunneling HTTP
proxies, and automatically reconnecting if the server times out.
Comment 1 Mamoru TASAKA 2006-12-26 02:09:54 EST
Interesting package. I will review this later.
Comment 2 Mamoru TASAKA 2006-12-26 13:59:34 EST
Okay.

* Please consider to include ChangeLog file.
  Other things are okay.

Then:
----------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few (or no) work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to formally review other 
submitters' review request and approve the packages. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines".

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" (at the time you are not sponsored, you cannot do
   a formal review) of other person's review request.
When you submitted a new review request or have pre-reviewed other person's
review request, please write the bug number on this bug report so that I
can check your comments or review request.

Fedora Extras package review requests which are waiting for someone to review
can be checked on:
https://bugzilla.redhat.com/bugzilla/showdependencytree.cgi?id=FE-NEW&hide_resolved=1

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets

And Please check the details on
http://fedoraproject.org/wiki/Extras/HowToGetSponsored
Comment 3 David Anderson 2006-12-30 09:28:49 EST
Thank you for that.

I have another review request here:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=219873
Comment 4 Mamoru TASAKA 2006-12-30 10:38:53 EST
Well,

* Please include ChangeLog

= This package meets ReviewGuidelines/Guidelines
= Your another review request seems to have quality
  enough for being sponsored.

Okay.
------------------------------------------------
    This package (curlftpfs) is APPROVED by me.

Please step forward according to
http://fedoraproject.org/wiki/Extras/Contributors

When you proceed to a stage, I should receive a mail
which tells that you need a sponsor. Then I will
sponsor you.
Comment 5 David Anderson 2007-01-06 07:56:53 EST
Hopefully you'll receive that e-mail to sponsor me - I've completed all the 
steps up to that one. (My username is "anderson").
Comment 6 Mamoru TASAKA 2007-01-06 08:18:15 EST
Okay, now I am sponsoring you and you will receive
a mail.
Comment 7 David Anderson 2007-01-06 09:23:46 EST
Thanks - please can you add me (DavidAnderson) to the EditQueue on the wiki so 
that I can request rebuilds?
Comment 8 Mamoru TASAKA 2007-01-06 09:42:26 EST
(In reply to comment #7)
> Thanks - please can you add me (DavidAnderson) to the EditQueue on the wiki so 
> that I can request rebuilds?

Well, what does it mean? I just remember that all I have to do
is to sponsor a person who want to be a FE contributor.
A rule (procedure) changed?
Comment 9 David Anderson 2007-01-06 09:44:44 EST
Someone has to add me to this page:
http://fedoraproject.org/wiki/EditGroup

And remove me from this one:
http://fedoraproject.org/wiki/EditGroupQueue

That then allows me to request a FC5 + 6 branch for my package by editing this 
page:
http://fedoraproject.org/wiki/Extras/CVSSyncNeeded

Whether it's changed or not, I don't know!
Comment 10 Mamoru TASAKA 2007-01-06 10:03:04 EST
Ah.. adding EditGroup is usually done by someone who are
always checking the change of EditGroupQueue.

Now Damien Durand edited them according to your request
and you can go.
Comment 11 manuel wolfshant 2007-01-07 19:52:09 EST
The http://fedoraproject.org/wiki/Extras/CVSSyncNeeded page is free for edit to
anyone needing it. There is no need to be in a special group.
Comment 12 David Anderson 2007-01-08 04:40:37 EST
Manuel - maybe it was in the past, but now it requires you to be 
in "EditGroup" (which now I am).
Comment 13 David Anderson 2007-01-08 04:56:25 EST
As per the instructions at 
http://fedoraproject.org/wiki/Extras/Contributors#head-e2f7f3048aae892d69bba2b1d1563aed5c63a1ff
I cd-ed into the "FC-5" directory and ran "make tag", but I got this error:

[david@shed FC-5]$ make tag
cvs tag  -c curlftpfs-0_9-1_fc5
ERROR: The tag curlftpfs-0_9-1_fc5 is already applied on a different branch
ERROR: You can not forcibly move tags between branches
curlftpfs-0_9-1_fc5:devel:anderson:1168092696
cvs tag: Pre-tag check failed
cvs [tag aborted]: correct the above errors first!
make: *** [tag] Error 1

I know nothing about CVS... but it seems to be saying that the _fc5 tag is 
already applied to the devel branch? How could that have happened? (I hadn't 
run any previous tag commands). How do I undo it? I tried "cvs tag -d 
curlftpfs-0_9-1_fc5" but I got an error saying this wasn't allowed:

[david@shed devel]$ cvs tag -d curlftpfs-0_9-1_fc5
ERROR: Tag removal not allowed for tag curlftpfs-0_9-1_fc5
cvs tag: Pre-tag check failed
cvs [tag aborted]: correct the above errors first!
Comment 14 manuel wolfshant 2007-01-08 05:08:59 EST
WRT comment 12: 
Quoting the second paragraph of http://fedoraproject.org/wiki/Extras/CVSSyncNeeded

Add CVS administrative requests by editing this wiki page. You must register a
wiki account to edit this page, but you do not need to be a member of the EditGroup.

So either you are wrong, or policy has changed and this page has not been
updated. The EditGroup contains the people which are allowed to change any page
in the wiki, but this specific page has (had?) a special ACL.
Comment 15 Paul Howarth 2007-01-08 08:44:52 EST
(In reply to comment #13)
> As per the instructions at 
>
http://fedoraproject.org/wiki/Extras/Contributors#head-e2f7f3048aae892d69bba2b1d1563aed5c63a1ff
> I cd-ed into the "FC-5" directory and ran "make tag", but I got this error:
> 
> [david@shed FC-5]$ make tag
> cvs tag  -c curlftpfs-0_9-1_fc5
> ERROR: The tag curlftpfs-0_9-1_fc5 is already applied on a different branch
> ERROR: You can not forcibly move tags between branches
> curlftpfs-0_9-1_fc5:devel:anderson:1168092696
> cvs tag: Pre-tag check failed
> cvs [tag aborted]: correct the above errors first!
> make: *** [tag] Error 1
> 
> I know nothing about CVS... but it seems to be saying that the _fc5 tag is 
> already applied to the devel branch? How could that have happened? (I hadn't 
> run any previous tag commands). How do I undo it? I tried "cvs tag -d 
> curlftpfs-0_9-1_fc5" but I got an error saying this wasn't allowed:
> 
> [david@shed devel]$ cvs tag -d curlftpfs-0_9-1_fc5
> ERROR: Tag removal not allowed for tag curlftpfs-0_9-1_fc5
> cvs tag: Pre-tag check failed
> cvs [tag aborted]: correct the above errors first!

Was the SRPM you imported using cvs-import.sh built using mock for an FC5
target? That would explain the tag being set as shown above.

To fix the problem, increase the package's release number in CVS and try tagging
again.
Comment 16 David Anderson 2007-01-08 08:58:59 EST
Thanks Paul... I don't understand too well (I'm a CVS newbie), but it seems to 
work. Should I update the release numbers on the FC6 and devel versions too? 
(Otherwise FC5 will be newer than FC6+devel - is that a problem when the 
change is only trivial?)
Comment 17 Paul Howarth 2007-01-08 09:06:53 EST
devel should never be "rpm-older" than FC-6, which should never be "rpm-older"
than FC-5 etc. You'll get nagmails about it if they are, so it's worth fixing
even for trivial changes.
Comment 18 David Anderson 2007-01-08 09:14:48 EST
Thanks for the tip Paul.
Comment 19 David Anderson 2007-01-08 09:17:57 EST
All done - closing NEXTRELEASE. Thanks to all those who commented (Mamoru, 
Manuel, Paul). I have one other package waiting review 
(https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=219873) - it's been 
reviewed once and a couple of minor tweaks made... kio_sword, a light-weight 
KDE front-end to SWORD.

Note You need to log in before you can comment on or make changes to this bug.